#pragma once

#include "WOGrid.h"
#include <vector>


namespace Aftr
{   /**

   \author Chad Mourning

   */

class WOGridECEF : public WOGrid
{
public:	
   static WOGridECEF* New( const std::vector<std::vector<VectorD> >& grid, const VectorD& offset, const VectorD& scale = VectorD(1,1,1));
	virtual ~WOGridECEF();
   virtual bool overTerrainLLA( const Vector& lla );
   virtual double getElevationAtLLA( const Vector& lla );
protected:
   virtual void onCreate( const std::vector<std::vector<VectorD> >& grid, const VectorD& offset, const VectorD& scale);
   WOGridECEF();		
};

}

